Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.poi.openxml4j.opc
Enum PackageAccess

    java.lang.Object
      java.lang.Enum<PackageAccess>
          org.apache.poi.openxml4j.opc.PackageAccess

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<PackageAccess>

    public enum PackageAccess

extends java.lang.Enum<PackageAccess>

Specifies package access.

Version:
  1.0
Author:
  Julien Chable

Enum Constant Summary
`READ` Read only.
`READ_WRITE` Read and Write mode.
`WRITE` Write only.

Method Summary
`static PackageAccess` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static PackageAccess[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### READ

    public static final PackageAccess READ

  Read only. Write not authorized.

### WRITE

    public static final PackageAccess WRITE

  Write only. Read not authorized.

### READ_WRITE

    public static final PackageAccess READ_WRITE

  Read and Write mode.

Method Detail

### values

    public static PackageAccess[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PackageAccess c : PackageAccess.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PackageAccess valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.